/**
  * SimpleAdaptiveSlider by Itchief v2.0.0 (https://github.com/itchief/ui-components/tree/master/simple-adaptive-slider)
  * Copyright 2020 - 2021 Alexander Maltsev
  * Licensed under MIT (https://github.com/itchief/ui-components/blob/master/LICENSE)
  */

/* стили для корневого элемента слайдера */
.slider {
    z-index: -1;
    position: relative;
    overflow: hidden;
    max-width: 100%;
    margin-left: 0 auto;
    margin-right: 0 auto;
    position: absolute;
  
  }
  
  /* стили для wrapper */
  .slider__wrapper {
    position: relative;
    overflow: hidden;
    background-color: #ffffff;
  }
  
  /* стили для элемента, в котором непосредственно расположены элементы (слайды) */
  .slider__items {
    display: flex;
    transition: transform 0.9s ease;
  }
  
  /* класс для отключения transition */
  .transition-none {
    transition: none;
  }
  
  /* стили для элементов */
  .slider__item {
    flex: 0 0 100%;
    max-width: 100%;
    position: relative;
  }
  
  
  /* кнопки Prev и Next */
  
  .slider__control {
    position: absolute;
    top: 50%;
    width: 40px;
    height: 50px;
    transform: translateY(-50%);
    display: none;
    align-items: center;
    justify-content: center;
    color: #FCE170;
    background: #A51B20;
    opacity: 0.5;
    user-select: none;
  }
  
  .slider__control_show {
    display: flex;
  }
  
  .slider__control:hover,
  .slider__control:focus {
    color: #FCE170;
    text-decoration: none;
    opacity: 0.7;
  }
  
  .slider__control_prev {
    left: 0;
  }
  
  .slider__control_next {
    right: 0;
  }
  
  .slider__control::before {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    background: transparent no-repeat center center;
    background-size: 100% 100%;
  }
  
  .slider__control_prev::before {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E");
  }
  
  .slider__control_next::before {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
  }
  
  /* Индикаторы */
  .slider__indicators {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 10px;
    display: flex;
    justify-content: center;
    padding-left: 0;
    margin: 0 15%;
    list-style: none;
    user-select: none;
    display: none;
  }
  
  .slider__indicator {
    flex: 0 1 auto;
    width: 30px;
    height: 4px;
    margin-right: 3px;
    margin-left: 3px;
    background-color: #A51B20;
    background-clip: padding-box;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    cursor: pointer;
  }
  
  .slider__indicator_active {
    background-color: #FCE170;
  }

  @media (max-width: 1280px) {

    .slider {
      z-index: -1;
      position: relative;
      overflow: hidden;
      max-width: 100%;
      margin-left: 0 auto;
      margin-right: 0 auto;
    
    }
  }

  @media (max-width: 768px) {
    .slider {
      z-index: -1;
      position: relative;
      overflow: hidden;
      max-width: 100%;
      margin-left: 0 auto;
      margin-right: 0 auto;
    
    }
  }